using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace ListeVerwalten
{
	public class FormMain : System.Windows.Forms.Form
	{
		IntListe list = new IntListe(10);
		int i = 0;  // index of current Element

		#region DesignerVariables
		private System.Windows.Forms.TextBox editElement;
		private System.Windows.Forms.NumericUpDown numberUpDownIndex;
		private System.Windows.Forms.Button btnAdd;
		private System.Windows.Forms.Button btnDelete;
		private System.ComponentModel.Container components = null;
		#endregion

		public FormMain()
		{
			InitializeComponent();
			numberUpDownIndex.Minimum = 0;
			numberUpDownIndex.Maximum = 0;
			numberUpDownIndex.Enabled = false;
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		private void InitializeComponent()
		{
			this.editElement = new System.Windows.Forms.TextBox();
			this.numberUpDownIndex = new System.Windows.Forms.NumericUpDown();
			this.btnAdd = new System.Windows.Forms.Button();
			this.btnDelete = new System.Windows.Forms.Button();
			((System.ComponentModel.ISupportInitialize)(this.numberUpDownIndex)).BeginInit();
			this.SuspendLayout();
			// 
			// editElement
			// 
			this.editElement.Location = new System.Drawing.Point(16, 24);
			this.editElement.Name = "editElement";
			this.editElement.Size = new System.Drawing.Size(104, 20);
			this.editElement.TabIndex = 0;
			this.editElement.Text = "";
			this.editElement.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// numberUpDownIndex
			// 
			this.numberUpDownIndex.Location = new System.Drawing.Point(136, 24);
			this.numberUpDownIndex.Maximum = new System.Decimal(new int[] {
																								  10,
																								  0,
																								  0,
																								  0});
			this.numberUpDownIndex.Name = "numberUpDownIndex";
			this.numberUpDownIndex.Size = new System.Drawing.Size(56, 20);
			this.numberUpDownIndex.TabIndex = 1;
			this.numberUpDownIndex.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
			this.numberUpDownIndex.ValueChanged += new System.EventHandler(this.numberUpDownIndex_ValueChanged);
			// 
			// btnAdd
			// 
			this.btnAdd.Location = new System.Drawing.Point(16, 64);
			this.btnAdd.Name = "btnAdd";
			this.btnAdd.Size = new System.Drawing.Size(80, 24);
			this.btnAdd.TabIndex = 2;
			this.btnAdd.Text = "Add";
			this.btnAdd.Click += new System.EventHandler(this.btnAdd_Click);
			// 
			// btnDelete
			// 
			this.btnDelete.Location = new System.Drawing.Point(112, 64);
			this.btnDelete.Name = "Delete";
			this.btnDelete.Size = new System.Drawing.Size(80, 24);
			this.btnDelete.TabIndex = 2;
			this.btnDelete.Text = "Delete";
			this.btnDelete.Click += new System.EventHandler(this.btnDelete_Click);
			// 
			// FormMain
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(224, 117);
			this.Controls.Add(this.btnAdd);
			this.Controls.Add(this.numberUpDownIndex);
			this.Controls.Add(this.editElement);
			this.Controls.Add(this.btnDelete);
			this.Name = "FormMain";
			this.Text = "List";
			((System.ComponentModel.ISupportInitialize)(this.numberUpDownIndex)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		[STAThread] static void Main() 
		{
			Application.Run(new FormMain());
		}

		private void numberUpDownIndex_ValueChanged(object sender, System.EventArgs e)
		{
			i = Convert.ToInt32(numberUpDownIndex.Value);
			editElement.Text = list.Get(i).ToString();	
		}

		private void btnAdd_Click(object sender, System.EventArgs e)
		{
			int newValue = 0;
			try 
			{
				newValue = int.Parse(editElement.Text);
			}
			catch
			{
				MessageBox.Show("This is not an integer number!");
				return;
			}
			list.Add(newValue);
			numberUpDownIndex.Maximum = list.Count-1;
			numberUpDownIndex.Value = (decimal) list.Count-1;
			numberUpDownIndex.Enabled = true;
		}

		private void btnDelete_Click(object sender, System.EventArgs e)
		{
			list.Remove(i);
			if (list.Count > 0)
			{
				editElement.Text = list.Get(i).ToString();
				numberUpDownIndex.Maximum = list.Count-1;
			}
			else
			{
				editElement.Text = "";
				numberUpDownIndex.Maximum = 0;
				numberUpDownIndex.Enabled = false;
			}
		}

	}
}
